<?php


namespace App\Core\Repository\Currency;


use App\Core\Repository\EleqouentAbstractRepository;
use App\Models\Currency;

class CurrencyRepository extends EleqouentAbstractRepository
{
    private $currency;

    public function __construct(Currency $currency)
    {
        parent::__construct();
        $this->currency = $currency;
        $this->defaultModel = $this->currency;
    }
}
